@charset "UTF-8";

:root {
    font-size: 16px;
    font-family: system-ui;
    --icon-primary: #19bbb3;
    --icon-secondary: #15615d;
}

h1 {
    text-align: center;
}

body {
    overflow-y: scroll;
    max-width: 700px;
    color: white;
    background: black;
    margin: 0 auto;
    padding: 0 30px;
}

img {
    width: 400px;
    display: block;
    margin: 20px auto;
}

.image-container {
    position: relative;
    width: fit-content;
    margin: 0 auto;
}

.image-container .icon-link {
    position: absolute;
    top: 50%;
    left: 100%;
    transform: translate(0, -50%);
    margin-left: 10px;
}

.contacts {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: row;
}

.icon-link svg {
    width: 3rem;
    min-width: 2rem;
    margin: 0 1rem;
    color: var(--icon-secondary);
    transition: color 0.3s;
}

.icon-link svg:hover {
    color: var(--icon-primary);
}

/* Header */

header {
    padding: 20px 0;
    border-bottom: 1px solid var(--icon-secondary);
}

.nav-container {
    display: flex;
    justify-content: space-between;
}

a {
    text-decoration: none;
    color: var(--icon-primary);
}

nav a {
    font-size: 1.3rem;
    margin: 0 10px;
    text-decoration: none;
    color: var(--icon-secondary);
    font-weight: 500;
    transition: color 0.3s;
}

nav a:hover {
    color: var(--icon-primary);
}

h3 a,
h3 a:visited {
    color: white;
}

/* Portrait */

.portrait {
    width: 250px;
    height: 250px;
    border-radius: 50%;
    object-fit: cover;
}

/* News Section */

#news {
    border-left: 6px solid var(--icon-primary);
    padding-left: 16px;
}

/* List of Publications */

.publications {
    list-style: none;
    padding-left: 0;
}

.publications li {
    margin-bottom: 1em;
}

/* Resume-style bullets */

.bullet {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

/* Scrollbar */

body::-webkit-scrollbar {
    width: 0.75rem;
}

body::-webkit-scrollbar-thumb {
    background: var(--icon-primary);
}

@media (max-width: 600px) {
    img {
        width: 300px;
    }
}
